* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: none;
    outline: none;
    text-decoration: none;
    list-style: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
    color: #012456;
}

body {
    margin: 0;
    padding: 0;
    background: #fbfbfb;
    scroll-behavior: smooth;
}

h1 {
    font-weight: 900;
    text-align: center;
}

h2 {
    font-weight: 900;
}

.navbar {
    width: 100%;
}

.navbar2 {
    top: 0;
    left: 0;
    max-width: 1300px;
    padding: 60px 20px 30px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
    margin: auto;
    box-sizing: border-box;
    justify-content: space-between;
}

.navbar .logo {
    font-size: 2em;
    color: #012456;
    pointer-events: none;
    padding-right: 86px;
    display: block;
}

#menu {
    position: absolute;
    top: 50px;
    right: 50px;
    width: 50px;
    display: none;
}

.navbar a {
    color: #012456;
    padding: 6px 25px;
    border-radius: 20px;
    margin: 0 10px;
    font-weight: 500;
    margin-left: 80px;
    font-size: 1.1em;
    transition: 0.5s;
    z-index: 100;
}

.nav-links a:hover {
    background: #1390cf;
    color: #fff;
}

header {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-end;
    background-image: linear-gradient(to bottom, rgba(255,0,0,0) 100%, #fbfbfb 100%), url('data/osiagniecia-bg.webp');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: auto;
    height: 900px;
    overflow: hidden;
}

.hero {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: auto;
    height: 911px;
    flex-direction: column;
    overflow: hidden
}

.hero-text {
    position: relative;
    font-size: 4.9em;
    font-weight: 900;
    color: #012456;
    line-height: 1.05;
    margin: 0;
    bottom: 85px;
    text-align: center;
    letter-spacing: 2.2rem;
}

.hero #nasze {
    font-size: 0.55em;
    padding: 0;
    margin: 0;
    transform: translateY(72px);
}

.hero-text p {
    font-size: 1.5rem;
    font-weight: 400;
    padding-top: 6px;
    line-height: 1.25;
    margin: 0;
}

  .overlay {
    transform: translateY(9px);
    position: absolute;
    width: 100vw;
    height: 240px;
    background-image: linear-gradient(rgba(0, 0, 0, 0), #fbfbfb 85%);
    z-index: 1;
}

#bg-ct {
    position: relative;
    height: 625px;
    background-size: center;
    width: auto;
    bottom: 115px;
    overflow: hidden;
} 


.nav-links.mobile-menu {
    margin-left: 0;
}

@media (max-width: 1204px) {                                     /*        1170px         */
    #bg-ct {
        position: relative;
        bottom: -195px;
        height: 500px;
        overflow: hidden;
    }

    #menu {
        display: block;
    }

    .overlay {
        transform: translateY(9px);
        position: absolute;
        width: 100vw;
        height: 120px;
        background-image: linear-gradient(rgba(0, 0, 0, 0), #fbfbfb 85%);
        z-index: 1;
        }

    header {
        height: 900px;
    }

    #menu {
        display: block;
    }

    .navbar2 {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
    }

    .logo {
        position: relative;
        width: 150px;
        transform: translateY(-14px);
        left:10px;
    }

    .nav-links {
        position: absolute;
        width: 100%;
        left: 0;
        top: 0;
        height: 100vh;
        background-color: #3da8deb4;
        backdrop-filter: blur(6px);
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-left: -100%;
        transition: all 1s ease;
    }

    header .nav-links a {
        margin: 25px;
        font-size: 1.4em;
    }

    .navbar2 a {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: 0;
        color: #ffffff;
    }

    .hero-text {
        position: absolute;
        font-size: 4.3em;
        font-weight: 900;
        color: #012456;
        line-height: 1.05;
        margin: auto;
        bottom: 565px;
        letter-spacing: 1.2rem;
    }
    .hero #nasze {
        font-size: 0.65em;
        padding: 0;
        margin: 0;
        transform: translateY(62px);
    }
    .hero {
        justify-content: center;
    }
    .hero-text p {
        font-size: 1.45rem;
        padding-top: 10px;
    }
    .hero button {
        width: 180px;
        height: 42px;
        font-size: 1.1rem;
        margin: 0;
        bottom: 3px;
    }
}

@media (max-width: 900px) {  
    .hero-text {
        position: absolute;
        font-size: 3em;
        font-weight: 900;
        color: #012456;
        line-height: 1.05;
        margin: auto;
        bottom: 565px;
        letter-spacing: 1.2rem;
    }
    .hero #nasze {
        font-size: 0.65em;
        padding: 0;
        margin: 0;
        transform: translateY(37px);
    }
}

@media (max-width: 855px) {                                  /*     855px      */

    .hero-text p {
        font-size: 1.2rem;
    }
}
                                    /* sekcja druga */

#splashes {
    position: absolute;
    width: 35%;
    transform: translateY(-180px) translateX(340px);
    overflow-x: hidden;
    z-index: -1;
}

#splashes2 {
    position: absolute;
    width: 35%;
    transform: translateY(180px) translateX(-250px);
    z-index: -1;
}

  #scales {
    position: absolute;
    left: 0;
    transform: translateY(-436px) translateX(-300px);
    width: 85%;
    z-index: 100;
}

.hero-2 {
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap-reverse;
    padding: 170px 20px 150px;
    gap: 100px;
    font-size: 1.45rem;
}

.hero-2 img {
    width: 380px;
    border-radius: 30px;
    z-index: 100;
}

.osiagniecia-wspolnie ul {
    padding-top: 7px;
    font-size: 0.95rem;
    font-weight: 300;
    line-height: 1.7em;
    text-align: center;
}

.osiagniecia-wspolnie-text {
    width: 480px;
}

#medali28 {
    font-size: 1.5em;
    font-weight: 900;
}

@media (max-width: 1000px) {
    #splashes {
        width: 350px;
        transform: translateY(-435px) translateX(45px);
        left: 0;
    }

    #splashes2 {
        width: 350px;
        transform: translateY(-450px) translateX(0);
    }

    #scales {
        position: absolute;
        left: 0;
        transform: translateY(-340px) translateX(-730px);
        width: 1500px;
        z-index: 10;
    }

    .hero-2 img {
        width: 460px;
        border-radius: 30px;
    }
}

.marek {
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.marek-text ul {
    padding-top: 7px;
    font-size: 0.95rem;
    font-weight: 300;
    line-height: 1.7em;
    text-align: center;
}

.marek-text {
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap-reverse;
    padding: 50px 20px 110px;
    gap: 100px;
    font-size: 1.45rem;
}

.marek-text b {
    font-weight: 800;
}

.marta {
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.marta-text ul {
    padding-top: 7px;
    font-size: 0.95rem;
    font-weight: 300;
    line-height: 1.7em;
    text-align: center;
}

.marta-text {
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap-reverse;
    padding: 50px 20px 110px;
    gap: 100px;
    font-size: 1.45rem;
}

.marta-text b {
    font-weight: 800;
}

@media (min-width: 1001px) {
    .marekpic {
        width: 40%;
        left: 0;
        border-radius: 40px;
    }
    .marek {
        gap: 50px;
        align-items: center;
        flex-direction: row-reverse;
    }
    .marek-text {
        width: 50%;
        padding: 0;
        gap: 0px;
    }
    .marek-text h2, .marta-text h2 {
        padding-bottom: 20px;
    }
    .martapic {
        width: 40%;
        left: 0;
        border-radius: 40px;
    }
    .marta {
        gap: 50px;
        align-items: center;
        padding-bottom: 100px;
        padding-top: 100px;
    }
    .marta-text {
        width: 50%;
        gap: 0px;
    }
}

@media (max-width: 1000px) {
    #bg-ct {
        position: relative;
        bottom: -195px;
        height: 500px;
        overflow-x: hidden;
    }

    .hero-2 {
        padding-top: 60px;
        padding-bottom: 110px;
    }

    h2 {
        text-align: center;
        font-weight: 900;
        font-size: 1.7em;
    }

    .marekpic, .martapic {
        width: 90vw;
        border-radius: 40px;
        z-index: 100;
    }

    .marek-text, .marta-text {
        gap: 50px;
    }

    .marek-text ul, .marta-text ul {
        font-size: 0.8rem;
    }

    #scales {
        position: absolute;
        left: 0;
        transform: translateY(-140px) translateX(-730px);
        width: 1500px;
        z-index: 10;
        }
}

@media (max-width: 600px) {                             /*    600px   */
    .overlay {
        transform: translateY(9px);
        position: absolute;
        width: 100vw;
        height: 80px;
        background-image: linear-gradient(rgba(0, 0, 0, 0), fbfbfb 90%);
        z-index: 1;
        }
    #bg-ct {
        position: relative;
        bottom: 10px;
        height: 355px;
    }
    header {
        height: 635px;
        background-size: 140%;
        background-position: 69% 70%;
    }
    .hero-text {
        position: absolute;
        font-size: 2.5em;
        font-weight: 900;
        color: #012456;
        line-height: 1.05;
        margin: auto;
        bottom: 660px;
        letter-spacing: 0.5rem;
    }
    .hero-2 img {
        width: 80vw;
        border-radius: 30px;
    }
}

@media (max-width: 460px) {
    .overlay {
        transform: translateY(0);
        position: absolute;
        width: 100vw;
        height: 80px;
        background-image: linear-gradient(rgba(0, 0, 0, 0), fbfbfb 90%);
        z-index: 1;
        }
    #bg-ct {
        position: relative;
        bottom: -50px;
        height: 275px;
    }

    header {
        height: 635px;
        background-size: 120%;
        background-position: 69% 70%;
        background-size: cover;
    }

    .hero-text {
        position: absolute;
        font-size: 2em;
        font-weight: 900;
        color: #012456;
        line-height: 1.2;
        margin: auto;
        transform: translateY(25px);
        letter-spacing: 0.4rem;
        z-index: 5;
    }
    .hero-2 {
        padding-top: 45px;
    }
}

@media (max-width: 390px) {
    #bg-ct {
        position: relative;
        bottom: -50px;
        height: 275px;
    }
    .hero-text {
        position: absolute;
        font-size: 2em;
        font-weight: 900;
        color: #012456;
        line-height: 1.2;
        margin: auto;
        transform: translateY(25px);
        letter-spacing: 0.4rem;
        z-index: 5;
    }
    .hero-2 {
        padding-top: 45px;
    }
    #splashes {
        width: 350px;
        transform: translateY(-440px) translateX(20px);
    }
}

.social-media {
    display: flex;
    margin: auto;
    justify-content: center;
    align-items: center;
    width: 40%;
    gap: 40px;
    padding-bottom: 100px;
}

.footer1 {
    background: #e8f5ff; /* #e8f5ff; */
    display: flex;
    justify-content: center;
}

.footer1 {
    background: #e8f5ff; /* #e8f5ff; */
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.footer1 h2 {
    margin: 0;
    text-align: center;
    color: #012456;
    font-size: 2.6em;
    padding-top: 70px;
}

  .partners {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    height: 200px;
    padding: 0 200px;
  }

  .partners img {
    width: 120px;
  }

  #wks {
    width: 250px;
  }

#kopalnia {
    width: 180px;
}

#splywajnatrening {
    width: 125px;
    transform: translateX(-38px);
}

@media (min-width: 1500px) {
    .partners {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        height: 200px;
        padding: 0 400px;
      }
}

  @media (max-width: 999px) {

    .partners {
        padding-top: 50px;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        height: 600px;
        gap: 60px;
        padding: 0;
    }

    .partners img {
        width: 150px;
      }
    
      #wks {
        width: 220px;
      }

      #splywajnatrening {
        width: 125px;
        transform: translateX(0);
    }

  .social-media {
    display: flex;
    margin: auto;
    width: 80%;
    padding-bottom: 100px;
    gap: 5px;
    }
  .social-media img {
    width: 85%;
  }  
}

@media (max-width: 600px) {
    .footer1 h2 {
        font-size: 2em;
    }
}

.footer2 {
    border-top: solid 1px #01245612;
    background: #e8f5ff; /* #e8f5ff; */
    display: flex;
    justify-content: center;
    padding: 30px 0 30px;
}

.footer2 img {
    width: 80%;
}

.footer2 {
    position: static;
    border-top: solid 1px #01245612;
    background: #e8f5ff; /* #e8f5ff; */
    display: flex;
    justify-content: center;
    padding: 80px 0 80px;
}

.footer2 img {
    padding: 15px 0;
    width: 70px;
}

.lastbg {
    background-color: #e8f5ff;
}